xcb_xkb_get_controls_reply_t Struct Reference
XCB xkb API

xcb_xkb_get_controls_reply_t More...

`#include <xkb.h>`

## Data Fields

uint8_t | response_type
uint8_t | deviceID
uint16_t | sequence
uint32_t | length
uint8_t | mouseKeysDfltBtn
uint8_t | numGroups
uint8_t | groupsWrap
uint8_t | internalModsMask
uint8_t | ignoreLockModsMask
uint8_t | internalModsRealMods
uint8_t | ignoreLockModsRealMods
uint8_t | pad0
uint16_t | internalModsVmods
uint16_t | ignoreLockModsVmods
uint16_t | repeatDelay
uint16_t | repeatInterval
uint16_t | slowKeysDelay
uint16_t | debounceDelay
uint16_t | mouseKeysDelay
uint16_t | mouseKeysInterval
uint16_t | mouseKeysTimeToMax
uint16_t | mouseKeysMaxSpeed
int16_t | mouseKeysCurve
uint16_t | accessXOption
uint16_t | accessXTimeout
uint16_t | accessXTimeoutOptionsMask
uint16_t | accessXTimeoutOptionsValues
uint8_t | pad1 [2]
uint32_t | accessXTimeoutMask
uint32_t | accessXTimeoutValues
uint32_t | enabledControls
uint8_t | perKeyRepeat [32]

## Detailed Description

xcb_xkb_get_controls_reply_t

The documentation for this struct was generated from the following file:

- xkb.h